﻿using System.ComponentModel;
using System.Windows.Input;

namespace GridSample
{
    public class ViewModel: INotifyPropertyChanged
    {
        private MyData _dataSource;
        public MyData DataSource
        {
            get
            {
                return this._dataSource;
            }
            set
            {
                if (value != this._dataSource)
                {
                    this._dataSource = value;
                    RaisePropertyChanged("DataSource");
                }
            }
        }

        private UserRoles _userRole;
        public UserRoles UserRole
        {
            get
            {
                return this._userRole;
            }
            set
            {
                if (value != this._userRole)
                {
                    this._userRole = value;
                    RaisePropertyChanged("UserRole");
                }
            }
        }

        public ViewModel()
        {
            this.DataSource = new MyData();

            this.UserRole = UserRoles.Administrator;
        }       

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void RaisePropertyChanged(string propertyName)
        {
            if (this.PropertyChanged != null)
            {
                this.PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }
}
